Exchange Online – Exchange Online PowerShell module v2 is now available on Linux and MacOS

imageGood news for Exchange Online administrators.

If you are using a Linux of MacOS device, you can now install the ExO v2 PowerShell module on your device.

MacOS versions supported are:

  • Mojave
  • Catalina
  • Big Sur

Linux distributions supported are:

  • Ubuntu 16.04, 18.04, 20.04 (including ARM64)
  • Ubuntu 18.04, 18.10, 19.10 (via Snap package), 20.04, 20.10
  • Debian 8, 9, 10
  • CentOS 7, 8
  • Red Had Enterprise 7, 8
  • Fedora 28, 29, 30
  • openSUSE 42.3
  • openSUSE Leap 15
  • Alpine 3.9, 3.10, 3.11+ (including ARM64)
  • Arch Linux
  • Kali

For both MacOS and Linux you will need to have installed PowerShell 7.0.

To know more about installing ExO v2 PowerShell module on MacOS or Linux reach out to the documentation here

Leave a Comment

Your email address will not be published.